Bug 678889 - Review Request: serdisplib - Library to drive serial displays with built-in controllers
Summary: Review Request: serdisplib - Library to drive serial displays with built-in c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 16:23 UTC by Hans de Goede
Modified: 2011-03-03 08:32 UTC (History)
3 users (show)

Fixed In Version: serdisplib-1.97.9-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:13:06 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2011-02-20 16:23:29 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/serdisplib.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/serdisplib-1.97.9-1.fc15.src.rpm
Description:
serdisplib started as a library to drive serial displays with built-in
controllers. beginning with version 1.95 support was added for parallel driven
displays. anyhow: the name 'serdisplib' will not change.

The serial in "serial display" characterizes the way of how the data is
transferred to the display controller: data is sent bit by bit using a single
input line. several (few) other lines are controlling things like timing
(clock), data or command, ...

Comment 1 Tim Lauridsen 2011-02-20 18:01:17 UTC
I will review this bug

Comment 2 Tim Lauridsen 2011-02-20 18:25:09 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Buildroot is correct (EPEL5 & Fedora < 10)
        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[x] : MUST - Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
        %makeinstall is justified, no DESTDIR support
[x] : MUST - Package is named according to the Package Naming Guidelines.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint serdisplib-1.97.9-1.fc15.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint serdisplib-1.97.9-1.fc15.x86_64.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint serdisplib-debuginfo-1.97.9-1.fc15.x86_64.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint serdisplib-devel-1.97.9-1.fc15.x86_64.rpm
        ================================================================================
        serdisplib-devel.x86_64: W: no-documentation
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint serdisplib-tools-1.97.9-1.fc15.x86_64.rpm
        ================================================================================
        serdisplib-tools.x86_64: W: summary-not-capitalized C serdisplib tools (testserdisp, multidisplay)
        serdisplib-tools.x86_64: W: no-documentation
        serdisplib-tools.x86_64: W: no-manual-page-for-binary l4m132c_tool
        serdisplib-tools.x86_64: W: no-manual-page-for-binary multidisplay
        serdisplib-tools.x86_64: W: no-manual-page-for-binary testserdisp
        1 packages and 0 specfiles checked; 0 errors, 5 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : 130552ec60d01e974712a60274f34de7
        MD5SUM upstream package : 130552ec60d01e974712a60274f34de7
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec uses macros instead of hard-coded directory names.
[x] : MUST - Package consistently uses macros.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License file installed when any subpackage combination is installed.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Compiler flags are appropriate.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - ldconfig called in %post and %postun if required.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package does not contain duplicates in %files.
[x] : MUST - Permissions on files are set properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Package contains a valid .desktop file.
[x] : MUST - Package contains code, or permissable content.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package requires pkgconfig, if .pc files are present.
[x] : MUST - Development .so files in -devel subpackage, if present.
[x] : MUST - Fully versioned dependency in subpackages, if present.
[x] : MUST - Package does not contain any libtool archives (.la).
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package is not relocatable.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Package installs properly.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[?] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[?] : SHOULD - Reviewer should test that the package builds in mock.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - Spec use %global instead of %define.
[x] : SHOULD - Scriptlets must be sane, if used.
[x] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[?] : SHOULD - Packages should try to preserve timestamps of original installed files.
[-] : SHOULD - File based requires are sane.
[!] : SHOULD - Man pages included for all executables.
[?] : SHOULD - Uses parallel make.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.

Issues:

None

APPROVED

Comment 3 Hans de Goede 2011-02-21 08:25:57 UTC
Thanks for the review!

Comment 4 Hans de Goede 2011-02-21 08:28:41 UTC
New Package SCM Request
=======================
Package Name: serdisplib
Short Description: Library to drive serial displays with built-in controllers
Owners: jwrdegoede
Branches: f13 f14 f15
InitialCC:

Comment 5 Jason Tibbitts 2011-02-21 20:34:42 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-02-22 09:33:42 UTC
serdisplib-1.97.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/serdisplib-1.97.9-1.fc15

Comment 7 Fedora Update System 2011-02-22 09:34:03 UTC
serdisplib-1.97.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/serdisplib-1.97.9-1.fc14

Comment 8 Fedora Update System 2011-02-22 09:34:33 UTC
serdisplib-1.97.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/serdisplib-1.97.9-1.fc13

Comment 9 Fedora Update System 2011-02-22 18:49:05 UTC
serdisplib-1.97.9-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update serdisplib'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/serdisplib-1.97.9-1.fc13

Comment 10 Fedora Update System 2011-03-03 03:13:00 UTC
serdisplib-1.97.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-03 08:22:31 UTC
serdisplib-1.97.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-03 08:32:11 UTC
serdisplib-1.97.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.